part of '../flutterx_live_data.dart';

class LiveEvent<T> extends LiveData<T> {
  @override
  bool shouldUpdateValue(T oldValue, T newValue) => true;

  @override
  @Deprecated('Use send')
  void setData(T value) => send(value);

  void send(T value) {
    _data = value;
    _version++;
    super._dispatchingValue(null);
  }

  @override
  void _dispatchingValue(ObserverWrapper<T>? initiator) => initiator == null ? super._dispatchingValue(null) : null;
}

class MediatorLiveEvent<T> extends LiveEvent<T> with MediatorMixin<T> {}
